Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 150946 - default compiler set is not honored if tool chain not saved from dialog
default compiler set is not honored if tool chain not saved from dialog
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: -- Other --
6.x
Sun All
: P2 (vote)
: 6.x
Assigned To: Thomas Preisler
issues@cnd
65fixes1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-21 22:21 UTC by Chihin Ko
Modified: 2009-02-19 20:29 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chihin Ko 2008-10-21 22:21:51 UTC
dbxgui sometime creates default configuration without a project exist, for example, when attaching, 
or debug remote executable, but dbxgui is getting default compiler set as GNU, 
it comes from constructor of CompilerSet2Configuration shown below, 
We need a MakeConfiguration API that specify the compiler set to "SunStudio"

public CompilerSet2Configuration(DevelopmentHostConfiguration dhconf) {
      this.dhconf = dhconf;
      String csName = getCompilerSetManager().getDefaultCompilerSet().getName();  <=== GNU
      if (csName == null || csName.length() == 0) {
          if (getCompilerSetManager().getCompilerSetNames().size() > 0) {
              csName = getCompilerSetManager().getCompilerSet(0).getName();
          } else {
              if (Utilities.getOperatingSystem() == Utilities.OS_SOLARIS)
                  csName = "Sun"; // NOI18N
              else
                  csName = "GNU"; // NOI18N
          }
      }
      compilerSetName = new StringConfiguration(null, csName);
      flavor = null;
      compilerSetNodeProp = null;
  }
Comment 1 Thomas Preisler 2008-10-22 23:38:54 UTC
You don't need a new api. getCompilerSetManager().getDefaultCompilerSet().getName() should return SunStudio (if that in fact is the default set).
Comment 2 Thomas Preisler 2008-10-23 20:19:46 UTC
Affects SS and how default compiler set is handled. Upgrading to p2.
Comment 3 Thomas Preisler 2008-10-23 20:35:48 UTC
Problem is with tool chain code and how it (doesn't) handle setting of default compiler correctly.
Comment 4 Thomas Preisler 2008-10-27 20:16:30 UTC
Fixed. Will try and put the fix into 6.5 patch 1.
Comment 5 Quality Engineering 2008-10-28 05:01:19 UTC
Integrated into 'main-golden', will be available in build *200810280201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/b4707ab66798
User: Thomas Preisler <thp@netbeans.org>
Log: #150946 default compiler set is not honored if tool chain saved from dialog
Comment 6 Alexander Pepin 2008-11-20 14:51:37 UTC
can not be verified without SS build
Comment 7 pslechta 2008-11-21 12:33:07 UTC
The fix was ported into release65_fixes repository.

http://hg.netbeans.org/release65_fixes/rev/4a65e8654afe
Comment 8 Alexander Pepin 2008-12-02 13:46:39 UTC
verified in SSIDE biweekly build with patch1
Comment 9 Thomas Preisler 2009-01-27 06:11:52 UTC
SS IDE is now based on NB 5.4 patch 1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo